Skip to main content
Jump to: navigation, search

Difference between revisions of "ECF API Refactoring"

(ECF Refactoring Efforts)
(ECF Refactoring Efforts)
Line 5: Line 5:
 
==='Low-end' Execution Environment Support===
 
==='Low-end' Execution Environment Support===
  
See bug:  https://bugs.eclipse.org/bugs/show_bug.cgi?id=149024
+
See:  https://bugs.eclipse.org/bugs/show_bug.cgi?id=149024
  
Problem:  Dependency on javax.security.auth.callback.* classes.  These classes are not  
+
'''Problem''':  Dependency on javax.security.auth.callback.* classes.  These classes are not available in Framework 1.1 (they are part of JAAS classes that are optional for F1.1)
Removed references to classes jsse classes
+
  
javax.security.auth.callback.Callback;
+
Removed ECF core and all provider references to classes
javax.security.auth.callback.CallbackHandler;
+
javax.security.auth.callback.NameCallback;
+
javax.security.auth.callback.UnsupportedCallbackException;
+
  
FIX:
+
  javax.security.auth.callback.Callback;
 +
  javax.security.auth.callback.CallbackHandler;
 +
  javax.security.auth.callback.NameCallback;
 +
  javax.security.auth.callback.UnsupportedCallbackException;
  
Changed to (new) classes in ECF org.eclipse.ecf.core.security package
+
'''FIX''':
  
org.eclipse.ecf.core.security.Callback;
+
Added new classes and changed existing references to above classes to classes in ECF org.eclipse.ecf.core.security package:
org.eclipse.ecf.core.security.CallbackHandler;
+
 
org.eclipse.ecf.core.security.NameCallback;
+
  org.eclipse.ecf.core.security.Callback;
org.eclipse.ecf.core.security.UnsupportedCallbackException;
+
  org.eclipse.ecf.core.security.CallbackHandler;
 +
  org.eclipse.ecf.core.security.NameCallback;
 +
  org.eclipse.ecf.core.security.UnsupportedCallbackException;

Revision as of 19:58, 14 October 2006

Prior to 1.0, ECF will be going through a concerted API and exemplary app refactoring effort. See below for list of desired refactorings and current state

API Refactorings

'Low-end' Execution Environment Support

See: https://bugs.eclipse.org/bugs/show_bug.cgi?id=149024

Problem: Dependency on javax.security.auth.callback.* classes. These classes are not available in Framework 1.1 (they are part of JAAS classes that are optional for F1.1)

Removed ECF core and all provider references to classes

  javax.security.auth.callback.Callback;
  javax.security.auth.callback.CallbackHandler;
  javax.security.auth.callback.NameCallback;
  javax.security.auth.callback.UnsupportedCallbackException;

FIX:

Added new classes and changed existing references to above classes to classes in ECF org.eclipse.ecf.core.security package:

  org.eclipse.ecf.core.security.Callback;
  org.eclipse.ecf.core.security.CallbackHandler;
  org.eclipse.ecf.core.security.NameCallback;
  org.eclipse.ecf.core.security.UnsupportedCallbackException;

Back to the top